wdrożenia PrestaShop Powiększenie zdjęć moduł wdrożenia PrestaShop

Błąd poaktualizacji z 1.3 do 1.6.1.14

  • 13 Odpowiedzi
  • 303 Wyświetleń

0 użytkowników i 1 Gość przegląda ten wątek.

*

Offline tomas82

  • Nowy
  • *
  • 14
  • 0
Błąd poaktualizacji z 1.3 do 1.6.1.14
« dnia: Listopad 24, 2018, 10:48:14 pm »
Witam,
Sklep migrował od 1.3 do 1.4. Następnie do 1.5 i potem do 1.6.1.14. Dostajemy następujący błąd
classes/tax/TaxCalculator.php on line 124 Notice: Undefined offset:4

Pozdrawiam
Łukasz

*

Offline west

  • Administrator
  • Mieszkaniec
  • *****
  • 4,643
  • 99
  • Płeć: Mężczyzna
  • Europasaz.pl
    • Projektowanie PrestaShop, Wordpress, SMF
  • Presta Shop: PS
  • Status: Programista
Odp: Błąd poaktualizacji z 1.3 do 1.6.1.14
« Odpowiedź #1 dnia: Listopad 25, 2018, 01:22:45 pm »
a zachowałeś sobie logi z aktualizacji ? może jakaś tabela nie została poprawiona zapytaniem z upgrade?
MODUŁY | http://europasaz.pl |  SKLEPY INTERNETOWE | WSPARCIE TECHNICZNE | HOSTING | http://zielona.biz 

*

Offline tomas82

  • Nowy
  • *
  • 14
  • 0
Odp: Błąd poaktualizacji z 1.3 do 1.6.1.14
« Odpowiedź #2 dnia: Listopad 25, 2018, 10:45:12 pm »
Cześć

Zrobiłem zapis po aktualizacji , ale czy to są logi ;)? Wykonywałem na localhost próbę i tam wyszło bez błędów, natomiast robiąc to na serwerze wyskakuje ten błąd.

*

Offline tomas82

  • Nowy
  • *
  • 14
  • 0
Odp: Błąd poaktualizacji z 1.3 do 1.6.1.14
« Odpowiedź #3 dnia: Listopad 25, 2018, 10:50:29 pm »
Generalnie migrując z 1.3 do 1.4 nie było błędów. Później do 1.5 nie było błędów , dopiero przy 1.6 pojawił się.

*

Offline west

  • Administrator
  • Mieszkaniec
  • *****
  • 4,643
  • 99
  • Płeć: Mężczyzna
  • Europasaz.pl
    • Projektowanie PrestaShop, Wordpress, SMF
  • Presta Shop: PS
  • Status: Programista
Odp: Błąd poaktualizacji z 1.3 do 1.6.1.14
« Odpowiedź #4 dnia: Listopad 26, 2018, 05:08:32 pm »
No to powtórz od 1.5 do 1.6 pamiętaj, aby sprawdzać logi aktualizacji
MODUŁY | http://europasaz.pl |  SKLEPY INTERNETOWE | WSPARCIE TECHNICZNE | HOSTING | http://zielona.biz 

*

Offline tomas82

  • Nowy
  • *
  • 14
  • 0
Odp: Błąd poaktualizacji z 1.3 do 1.6.1.14
« Odpowiedź #5 dnia: Listopad 27, 2018, 02:51:38 pm »
Cześć,

Nie wiem jak zbudowana jest presta, ale w wersji prestashop localization mam zakładki tax rules oraz podatki.
Czy tak ma być?
Pozdrawiam

*

Offline west

  • Administrator
  • Mieszkaniec
  • *****
  • 4,643
  • 99
  • Płeć: Mężczyzna
  • Europasaz.pl
    • Projektowanie PrestaShop, Wordpress, SMF
  • Presta Shop: PS
  • Status: Programista
Odp: Błąd poaktualizacji z 1.3 do 1.6.1.14
« Odpowiedź #6 dnia: Listopad 27, 2018, 08:22:24 pm »
Nie rozumiem pytania ? W zakładkach menu ? Jeśli tak to jest ok
MODUŁY | http://europasaz.pl |  SKLEPY INTERNETOWE | WSPARCIE TECHNICZNE | HOSTING | http://zielona.biz 

*

Offline tomas82

  • Nowy
  • *
  • 14
  • 0
Odp: Błąd poaktualizacji z 1.3 do 1.6.1.14
« Odpowiedź #7 dnia: Grudzień 06, 2018, 03:11:26 pm »
Cześć
Powrót do 1.5 nie udał się, tak więc wróciłem do 1.6.1.23 oczywiście z tymi samymi błędami.
Co zauważyłem podczas testów:
a) zainstalowałem czystą prestę 1.6.1.23 i różnie wyglądają tabele podatki w menu prestashop.
W czysto postawionej "załącznik najnowsza" natomiast u mnie to załączniki 1 i 2.
b)Błędy o których pisałem wyżej pozbyłem się poprzez wprowadzenie od nowa dwóch podatków, 23 % oraz 8%, wzorując się na  czystej wersji prestashop.( czy to sukces, nie wiem)
c)starałem się ( załącznik 1) wprowadzić podatek 23%, aby nazywał się PTU 23% jak pozostałe,prestashop usuwa go , natomiast jak wpiszę 23 to pozostawia go. Zmienia mu również id z 1 na 34.
d) ostatnia bolączka to  na nowo wybór podatku do wszystkich produktów , po zmianach przypisuje w standardzie 5% do wszystkich.

Z tego co pamiętam - kupując sklep, informatyk zmieniał stawkę podatku z 22 na 23 procent( podwyższka vatu) przy sklepie w wersji 1.3.Czy ma to wpływ teraz- nie wiem.

Dzięki



*

Offline MERA

  • MERA
  • Mieszkaniec
  • *****
  • 447
  • 7
  • Płeć: Mężczyzna
    • MERA
Odp: Błąd poaktualizacji z 1.3 do 1.6.1.14
« Odpowiedź #8 dnia: Grudzień 06, 2018, 05:47:40 pm »
Ja migrowałem z P.S 1.1  do 1.6.xx i miałem ponad 120 000 pozycji do przeniesienia i bez problemu je przeniosłem tyko nie poprzez automatyczną aktualizację bo to z tego nic nie wyjdzie i masz przykład na sobie. Po prostu musisz mieć zachowane archiwum i kopię zdjęć ( plik p )   bo to najważniejsza sprawa .

*

Offline tomas82

  • Nowy
  • *
  • 14
  • 0
Odp: Błąd poaktualizacji z 1.3 do 1.6.1.14
« Odpowiedź #9 dnia: Grudzień 06, 2018, 08:22:12 pm »
Cześć
Mera w jaki sposób migrowałeś?
Najpierw do 1.2, pewnie do 1.3, następnie do 1.4, potem do 1.5 i następnie do 1.6.
Pliki i bazę mam zachowane z 1.3.
W jaki sposób najlepiej migrować?Czy moduły też  przerzucałeś do ręcznej aktualizacji, czy tylko templates, img, settings i co z classes??
Przy ręcznej aktualizacji :

Podczas aktualizacji z wersji poniżej 1.4, musisz ręcznie edytować klasy, które zmieniłeś. Nie musisz zmieniać klas, w których nie dokonano zmian. Aby wszystko działało prawidłowo w najnowszej wersji PrestaShopa, wszystkie te pliki klas muszą zawierać końcówkę "Core". Nie rób tego, jeśli nie jesteś zaznajomiony z PHP.

Oto jak powinieneś zmienić pliki klas, które chcesz zatrzymać:

    Skopiuj pliki klas, w których dokonałeś zmian do katalogu /classes w "prestashop-prep".
    Otwórz każdy plik klasy i znajdź te, które nie posiadają końcówki Core. Jeśli aktualizujesz z wersji 1.4.x, nie powinieneś mieć żadnej, (oprócz spersonalizowanych klas).
    Zmień nazwę klasy, dodając końcówkę "Core", na przykład: "MyClass" stanie się "MyClassCore".
    Zmień nazwę tylko w klasie PHP, nie nazwę samego pliku!
    Jeśli wszystkie pliki mają już końcówkę "Core" w ich nazwie klasy (jak "class AttributeCore extends ObjectModel"), to nie musisz już zmieniać niczego.
    Zachowaj wszystkie edytowane pliki.

Ja tego nie wiem, czy było coś tam zmieniane(zakupiony gotowiec i parę osób przy tym pracowało). Problemu nie ma z ręczną mogę zrobić jak w tym linku http://doc.prestashop.com/pages/viewpage.action?pageId=45580423, tylko co mi to da.
Pozdro i dzięki

*

Offline MERA

  • MERA
  • Mieszkaniec
  • *****
  • 447
  • 7
  • Płeć: Mężczyzna
    • MERA
Odp: Błąd poaktualizacji z 1.3 do 1.6.1.14
« Odpowiedź #10 dnia: Grudzień 06, 2018, 08:56:41 pm »
Trzeba wykorzystać dostępne programy jak offis , mysql-front , notepad ++ i trochę wiedzy  Inaczej nic nie wyjdzie szczególnie jak jest dużo pozycji to któraś zawsze przyblokuje , napisz w przybliżeniu ile masz pozycji ile kategorii ile klientów ile zamówień i czy masz oryginalne archiwum kiedy działał sklep bo to ważne .

*

Offline tomas82

  • Nowy
  • *
  • 14
  • 0
Odp: Błąd poaktualizacji z 1.3 do 1.6.1.14
« Odpowiedź #11 dnia: Grudzień 06, 2018, 10:26:02 pm »
Cześć

Produktów jest 2026 , kategorie 4 , które dzielą się na podkategorie w ilości od 4 do 7. Klientów ok 600 , zamówień ok 630. Archiwum z 1.3 przesłane od admina linux z 25 października tego roku. Sklep działa w wersji 1.6 , ogólnie można składać zamówienia, wszystko śmiga tylko jest jedno ale,ma jeden błąd , który mnie męczy. Sklep potrafi się przyciąć, od admina linux dostałem takie coś
 


cyt ''wiszacych procesow php


poll([{fd=3, events=POLLIN|POLLERR|POLLHUP}], 1, 1471228928) = 1 ([{fd=3, revents=POLLIN}])
recvfrom(3, "\1\0\0\1\1e\0\0\2\3def\rltomasz_sklep\17ps_product_shop\17ps_product_shop\22id_tax_rules_group\22id_tax_rules_group\f?\0\v\0\0\0\3!\20\0\0\0\5\0\0\3\376\0\0\2\0\2\0\0\4\0019\5\0\0\5\376\0\0\2\0", 12167, MSG_DONTWAIT, NULL, NULL) = 134
sendto(3, "s\0\0\0\3SELECT SUM(`quantity`)\n\t\t\t\tFROM `ps_cart_product`\n\t\t\t\tWHERE `id_product` = 2251\n\t\t\t\tAND `id_cart` = 207423 LIMIT 1", 119, MSG_DONTWAIT, NULL, 0) = 119
poll([{fd=3, events=POLLIN|POLLERR|POLLHUP}], 1, 1471228928) = 1 ([{fd=3, revents=POLLIN}])
recvfrom(3, "\1\0\0\1\1%\0\0\2\3def\0\0\0\17SUM(`quantity`)\0\f?\0!\0\0\0\366\200\0\0\0\0\5\0\0\3\376\0\0\2\0\2\0\0\4\0011\5\0\0\5\376\0\0\2\0", 12033, MSG_DONTWAIT, NULL, NULL) = 70
sendto(3, "y\0\0\0\3\n\t\t\t\t\t\t\tSELECT `id_tax_rules_group`\n\t\t\t\t\t\t\tFROM `ps_product_shop`\n\t\t\t\t\t\t\tWHERE `id_product` = 2251 AND id_shop=1 LIMIT 1", 125, MSG_DONTWAIT, NULL, 0) = 125
poll([{fd=3, events=POLLIN|POLLERR|POLLHUP}], 1, 1471228928) = 1 ([{fd=3, revents=POLLIN}])
recvfrom(3, "\1\0\0\1\1e\0\0\2\3def\rltomasz_sklep\17ps_product_shop\17ps_product_shop\22id_tax_rules_group\22id_tax_rules_group\f?\0\v\0\0\0\3!\20\0\0\0\5\0\0\3\376\0\0\2\0\2\0\0\4\0017\5\0\0\5\376\0\0\2\0", 11963, MSG_DONTWAIT, NULL, NULL) = 134
sendto(3, "\340\1\0\0\3\n\t\t\t\tSELECT tr.*\n\t\t\t\tFROM `ps_tax_rule` tr\n\t\t\t\tJOIN `ps_tax_rules_group` trg ON (tr.`id_tax_rules_group` = trg.`id_tax_rules_group`)\n\t\t\t\tWHERE trg.`active` = 1\n\t\t\t\tAND tr.`id_country` = 14\n\t\t\t\tAND tr.`id_tax_rules_group` = 7\n\t\t\t\tAND tr.`id_state` IN (0, 0)\n\t\t\t\tAND ('0' BETWEEN tr.`zipcode_from` AND tr.`zipcode_to`\n\t\t\t\t\tOR (tr.`zipcode_to` = 0 AND tr.`zipcode_from` IN(0, '0')))\n\t\t\t\tORDER BY tr.`zipcode_from` DESC, tr.`zipcode_to` DESC, tr.`id_state` DESC, tr.`id_country` DESC", 484, MSG_DONTWAIT, NULL, 0) = 484
poll([{fd=3, events=POLLIN|POLLERR|POLLHUP}], 1, 1471228928) = 1 ([{fd=3, revents=POLLIN}])
recvfrom(3, "\1\0\0\1\tF\0\0\2\3def\rltomasz_sklep\2tr\vps_tax_rule\vid_tax_rule\vid_tax_rule\f?\0\v\0\0\0\3\3B\0\0\0T\0\0\3\3def\rltomasz_sklep\2tr\vps_tax_rule\22id_tax_rules_group\22id_tax_rules_group\f?\0\v\0\0\0\3\tP\0\0\0D\0\0\4\3def\rltomasz_sklep\2tr\vps_tax_rule\nid_country\nid_country\f?\0\v\0\0\0\3\1P\0\0\0@\0\0\5\3def\rltomasz_sklep\2tr\vps_tax_rule\10id_state\10id_state\f?\0\v\0\0\0\3\1P\0\0\0H\0\0\6\3def\rltomasz_sklep\2tr\vps_tax_rule\fzipcode_from\fzipcode_from\f!\0$\0\0\0\375\1P\0\0\0D\0\0\7\3def\rltomasz_sklep\2tr\vps_tax_rule\nzipcode_to\nzipcode_to\f!\0$\0\0\0\375\1\20\0\0\0@\0\0\10\3def\rltomasz_sklep\2tr\vps_tax_rule\10behavior\10behavior\f?\0\v\0\0\0\3\1\20\0\0\0.

Tak jak napisałem sklep działa , dzisiaj na testowej wersji nie wyskakują błędy, ale do poprawy wszystkie produkty pod względem podatków. Czy to będzie tylko ten błąd, tego nie wiem? Najchętniej postawiłbym czystą prestę i do niej dograł produkty tylko nie wiem jak się za to zabrać. Nie umiem odpowiedzieć czy wcześniej w wersji 1.3 nie było błędów , nie sprawdzałem po osobach , które się tym zajmowały. A jak już się zajmowały to mówiły kiepski silnik  sklepu. Szkoda o tym pisać, bo wiecznie się coś wieszało.

Pozdro i dzięki
« Ostatnia zmiana: Grudzień 06, 2018, 10:36:31 pm wysłana przez west »

*

Offline west

  • Administrator
  • Mieszkaniec
  • *****
  • 4,643
  • 99
  • Płeć: Mężczyzna
  • Europasaz.pl
    • Projektowanie PrestaShop, Wordpress, SMF
  • Presta Shop: PS
  • Status: Programista
Odp: Błąd poaktualizacji z 1.3 do 1.6.1.14
« Odpowiedź #12 dnia: Grudzień 06, 2018, 10:39:29 pm »
Sprawdź sobie tabelę ps_product_shop i wskazaną kolumnę czy jest wszystko ok
MODUŁY | http://europasaz.pl |  SKLEPY INTERNETOWE | WSPARCIE TECHNICZNE | HOSTING | http://zielona.biz 

*

Offline tomas82

  • Nowy
  • *
  • 14
  • 0
Odp: Błąd poaktualizacji z 1.3 do 1.6.1.14
« Odpowiedź #13 dnia: Grudzień 07, 2018, 11:43:46 am »
Witam

Dzięki za zainteresowanie i pomoc, błąd rozwiązany.Pomogło przypisanie nazw do podatków(załącznik). Co ciekawe podatek ptu pl 8% tak nazwałem i przyjął, natomiast dla 23 % przyjmuje tylko nazwę 23 i resztę odrzuca. Generalnie błędu nie ma i chyba tak było w starej wersji(zmiana podatku vat).

Jeszcze raz dzięki.

Ps. Są zmiany w cms, ale to będę pisał w osobnym temacie